Subject: Re: [CDNi] URI Signing Path Parameters

From: Kevin Ma J <[email-masked]>
Date: Tue, 2 Aug 2016 18:35:28 +0000

One thought that just came to mind: using a path segment for the token might affect the metadata lookup process.  You would need to be careful so that you could find the URI Signing metadata object, without needing to ignore the token in the path, since presumably it would be the URI Signing metadata object that tells you where in the path the token is...

From: Kevin Ma J
Sent: Friday, March 18, 2016 10:41 AM
To: 'Phil Sorber'; [email-masked]
Subject: RE: [CDNi] URI Signing Path Parameters

understood.  thanx.

From: Phil Sorber [mailto:[email-masked]]
Sent: Friday, March 18, 2016 10:26 AM
To: Kevin Ma J; [email-masked]<mailto:[email-masked]>
Subject: Re: [CDNi] URI Signing Path Parameters

Yes, that sounds right. It doesn't have to be in the front though. In our effort to make this happen we put it at the end:

/path/to/<token>/manifest.m3u8

Also, to technically be a path parameter I think it needs some syntactical glue, such as:

/path/;URISigningPackage=<token>/manifest.m3u8

Which could also be written as:

/path;URISigningPackage=<token>/manifest.m3u8

Also, sorry, I didn't mean to suggest I knew there was no IPR on it, I instead meant to contrast it with the 04 revision of the draft that has the HLS token exchange method that we had an IPR notice on and moved into it's own draft. That was also the reason I asked about a separate draft for this. You are correct, this method may also have IPR associated with it that I am unaware of, I was just being hopeful.

Thanks.

On Fri, Mar 18, 2016, 00:07 Kevin Ma J <[email-masked]<mailto:[email-masked]>> wrote:
Hi Phil,

  Just to make sure I understand correctly, are you suggesting that, given a URI path:

    /video/foo/index.m3u8

  URI signing could, e.g., prepend the token to the URI path:

    /<token>/video/foo/index.m3u8

  as opposed to putting the token in the query string:

    /video/foo/index.m3u8?URISigningPackage=<token>

  ?

  Note: I don't know if there is any IPR on this, but I do know of a product that does it.

thanx.

--  Kevin J. Ma

From: CDNi [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Phil Sorber
Sent: Thursday, March 17, 2016 4:12 PM
To: [email-masked]<mailto:[email-masked]>
Subject: [CDNi] URI Signing Path Parameters

I have a use case where path parameters (matrix parameters) would be very useful for URI Signing. If we have an HLS manifest with relative URI's, we don't have to modify it to add query params or use other techniques that may have IPR issues. The URI to the manifest has the signed token in it as a path parameter and then that means the base URI will have it also.

Thoughts on adding this? Perhaps as a separate RFC?

Thanks.